Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.protocol
Class ArtifactResponse

    java.lang.Object
      oasis.names.tc.saml._2_0.protocol.StatusResponseType
          oasis.names.tc.saml._2_0.protocol.ArtifactResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class ArtifactResponse

extends StatusResponseType
implements Serializable

Java class for ArtifactResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArtifactResponseType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}StatusResponseType">
           <sequence>
             <any processContents='lax' minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ArtifactResponse()`

Method Summary
`Element` | `getAny()` Gets the value of the any property.
`void` | `setAny(Element value)` Sets the value of the any property.

Methods inherited from class oasis.names.tc.saml._2_0.protocol.StatusResponseType
`getConsent, getDestination, getExtensions, getID, getInResponseTo, getIssueInstant, getIssuer, getSignature, getStatus, getVersion, setConsent, setDestination, setExtensions, setID, setInResponseTo, setIssueInstant, setIssuer, setSignature, setStatus, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArtifactResponse

    public ArtifactResponse()

Method Detail

### getAny

    public Element getAny()

  Gets the value of the any property.

  Returns:
    possible object is `Element`

### setAny

    public void setAny(Element value)

  Sets the value of the any property.

  Parameters:
    `value` - allowed object is `Element`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.